Skip to main content
GET
/
browser
/
v2
Get all profiles
curl --request GET \
  --url https://api.gologin.com/browser/v2 \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gologin.com/browser/v2"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gologin.com/browser/v2', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "profiles": [
    {
      "name": "<string>",
      "role": "<string>",
      "id": "<string>",
      "notes": "<string>",
      "browserType": "<string>",
      "lockEnabled": true,
      "timezone": {},
      "navigator": {
        "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/134.0.6998.36 Safari/537.36",
        "resolution": "1920x1080",
        "language": "en-US",
        "platform": "Win32",
        "hardwareConcurrency": 4,
        "deviceMemory": 4,
        "maxTouchPoints": 10
      },
      "geolocation": {},
      "debugMode": true,
      "canBeRunning": true,
      "isRunning": true,
      "proxy": {},
      "proxyType": "<string>",
      "proxyRegion": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lastActivity": "2023-11-07T05:31:56Z",
      "userChromeExtensions": [
        "<string>"
      ],
      "permissions": {
        "transferProfile": true,
        "transferToMyWorkspace": true,
        "shareProfile": true,
        "manageFolders": true,
        "editProfile": true,
        "deleteProfile": true,
        "cloneProfile": true,
        "exportProfile": true,
        "updateUA": true,
        "addVpnUfoProxy": true,
        "runProfile": true,
        "runProfileWeb": true,
        "viewProfile": true,
        "addProfileTag": true,
        "removeProfileTag": true,
        "viewShareLinks": true,
        "createShareLinks": true,
        "updateShareLinks": true,
        "deleteShareLinks": true,
        "viewCustomExtensions": true
      },
      "remoteOrbitaUrl": "<string>",
      "webGLMetadata": {
        "vendor": "Google Inc. (Intel)",
        "renderer": "ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)",
        "mode": "mask"
      },
      "isM1": true,
      "isPinned": true,
      "updateUALastChosenBrowserV": "<string>",
      "isRunDisabled": true,
      "runDisabledReason": "unpaid-share",
      "isWeb": true,
      "os": {},
      "osSpec": {},
      "host": "<string>",
      "port": 123,
      "status": "<string>",
      "folders": [
        "<string>"
      ],
      "sharedEmails": [
        "<string>"
      ],
      "shareId": "<string>",
      "chromeExtensions": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "proxyEnabled": true,
      "isAutoGenerated": true,
      "isBookmarksSynced": true,
      "defaultProps": {
        "profileNameIsDefault": true,
        "profileNotesIsDefault": true
      },
      "autoLang": true,
      "fonts": {
        "families": [
          "Arial",
          "Helvetica",
          "Verdana"
        ],
        "enableMasking": true,
        "enableDomRect": true
      },
      "facebookAccountData": {
        "date": "<string>",
        "token": "<string>",
        "fbIdAccount": "<string>",
        "email": "<string>",
        "password": "<string>",
        "googleDriveUrl": "<string>",
        "fb2faToolUrl": "<string>",
        "fbUrl": "<string>",
        "uaVersion": "<string>",
        "cookies": "<string>",
        "notParsedData": [
          "<string>"
        ]
      },
      "order": 123
    }
  ],
  "allProfilesCount": 123,
  "currentOrbitaMajorV": "<string>",
  "currentBrowserV": "<string>",
  "currentTestBrowserV": "<string>",
  "currentTestOrbitaMajorV": "<string>",
  "isFolderDeleted": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search query to filter profiles by name.

folder
string

Folder ID to filter profiles by.

page
number
default:1

Maximum number of profiles per page is 30. So if you want to get more profiles, you need to increment this value.

sorterField
enum<string>
default:createdAt

Parameter to sort the results by.

Available options:
lastActivity,
proxyType,
updatedAt,
createdAt,
sharedEmails,
name,
os,
order
sorterOrder
enum<string>
default:descend

Sort order for the results.

Available options:
ascend,
descend
tag
string

Tag ID to filter profiles by. Tag ID can be found in Tags API

Response

200 - application/json
profiles
object[]
required
allProfilesCount
number
required

Total number of profiles in all workspaces

currentOrbitaMajorV
string
currentBrowserV
string
currentTestBrowserV
string
currentTestOrbitaMajorV
string
isFolderDeleted
boolean